//
//  BroadcastCell.swift
//  WoWonder
//
//  Created by iMac on 20/05/24.
//  Copyright © 2024 ScriptSun. All rights reserved.
//

import UIKit

class BroadcastCell: UITableViewCell {
    
    @IBOutlet weak var broadcastImageView: UIImageView!
    @IBOutlet weak var broadcastNameLabel: UILabel!
    @IBOutlet weak var broadcastDescriptionLabel: UILabel!

    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
    func showAnimation() {
        [broadcastImageView, broadcastNameLabel, broadcastDescriptionLabel].forEach { $0?.showAnimatedSkeleton() }
    }
    
    func hideAnimation() {
        [broadcastImageView, broadcastNameLabel, broadcastDescriptionLabel].forEach { $0?.hideSkeleton() }
    }
    
}
